/* -- Header -- */

.rtl .wdt-header-menu ul li ul.children,.rtl .wdt-header-menu ul li ul.sub-menu, .wdt-header-menu ul li.has-mega-menu > ul{
    right:0;
    left:auto;
}

.rtl .wdt-header-menu ul li ul.children li ul:not(.menu-item-object-wdt_mega_menus ul),.rtl .wdt-header-menu ul li ul.sub-menu li ul:not(.menu-item-object-wdt_mega_menus ul){
    right:100%;
    left:auto;
}

.rtl .wdt-popup-box-window.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder{
    -webkit-transform: translateX(-800px);
    transform: translateX(-800px);
}
.rtl .wdt-popup-box-window.mfp-wrap.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder{
    margin-right:auto;
    margin-left:0;
}

.rtl .mfp-content{
    text-align:right;
}
.rtl .wdt-popup-box-window.mfp-wrap.wdt-right-side-slide .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner ~ .mfp-close{
    left:12px;
    right:auto;
}

.rtl .wdt-newsletter-style .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form div:not(.wdt-mailchimp-subscription-button-holder) input:not(:last-child){
    margin: 0 0 0 10px;
}
.rtl .wdt-popup-box-window.mfp-wrap .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner ~ .mfp-close{
    left:2px;
    right:auto;
}


/* -- Home 1 -- */

.rtl .wdt-h1-slider-style .wdt-carousel-holder .wdt-carousel-pagination-wrapper,.rtl .wdt-h2-slider-style .wdt-carousel-holder .wdt-carousel-pagination-wrapper{
    left:0;
    right:auto;
}

.rtl .wdt-scroll-down .wdt-button,.rtl .wdt-scroll-down .wdt-button-holder .wdt-button,.rtl .wdt-scroll-down .wdt-content-item .wdt-content-button > a,.wdt-scroll-down .rtl button:not([class*="elementor-panel-heading"]){
    flex-direction:row-reverse;
}
.rtl .wdt-scroll-down .wdt-button-holder.wdt-button-icon-after .wdt-button .wdt-button-icon{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .wdt-heading-holder .wdt-heading-deco-wrapper > span .wdt-heading-deco-inner[class*='-right-part']:has(.wdt-heading-deco-icon){
    margin-left:0;
    margin-right:10px;
}

.rtl .elementor-widget-container .wdt-heading-holder .wdt-heading-deco-wrapper .wdt-content-icon-wrapper .wdt-content-icon span{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .slider-popup .wdt-button-holder.wdt-button-icon-before .wdt-button .wdt-button-icon{
    margin-right:0;
    margin-left:15px;
}

.rtl .slider-popup .wdt-button .wdt-button-text{
    text-align: right;
}

.rtl .wdt-template-textual.wdt-button-style-default.wdt-button-size-lg.wdt-button-icon-before .wdt-button-icon span{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .wdt-heading-holder .wdt-heading-deco-wrapper > span .wdt-heading-deco-inner[class*='-left-part']:has(.wdt-heading-deco-icon){
    margin-left: 10px;
    margin-right:0;
}

.rtl .wdt-button-holder:not([class*="-textual"]).wdt-button-size-nm[class*="wdt-animation"] .wdt-button:before,.rtl .wdt-content-item .wdt-content-button > a:before, button:not(.mfp-close):before{
    transform: matrix(1, 0, 0, -1, 0, 0);
    -webkit-transform: matrix(1, 0, 0, -1, 0, 0);
}
.rtl .wdt-button-holder:not([class*="-textual"]).wdt-button-size-nm[class*="wdt-animation"] .wdt-button:after,.rtl .wdt-content-item .wdt-content-button > a:after,.rtl button:not(.mfp-close):after{
    transform: matrix(1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(1, 0, 0, 1, 0, 0);
}

.rtl .wdt-counter-holder.wdt-rc-template-default .wdt-column:nth-child(2),.rtl .wdt-counter-holder.wdt-rc-template-default .wdt-column:nth-child(4){
    border-left: 1px solid var(--wdtBorderColor);
    border-right: 0;
}



.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].left-to-right{
    -webkit-animation: rtl-MarqueeLeft 50s linear infinite 0ms;
    animation: rtl-MarqueeLeft 50s linear infinite 0ms;
}


.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].right-to-left{
    -webkit-animation: rtl-MarqueeRight 50s linear infinite 0ms;
    animation: rtl-MarqueeRight 50s linear infinite 0ms;
}

.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].right-to-left ~ div.wdt-animation-cloned-marqee, .rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].left-to-right ~ div.wdt-animation-cloned-marqee{
    -webkit-animation: auto;
    animation:auto;
}

.rtl .elementor-widget-container .wdt-thumb-carousel-holder .wdt-glitch-style .elementor-background-overlay:after{
    background-image: linear-gradient(-70deg, var(--wdtAccentTxtColor) 0%, transparent 100%);
}

@keyframes rtl-MarqueeLeft {
    from {
        margin-right: 0;
    }

    to {

        margin-right: var(--wdt-marque-Margin-Width);
    }
}

@keyframes rtl-MarqueeRight {
    from {
        margin-right: var(--wdt-marque-Margin-Width);
    }

    to {

        margin-right: 0;
    }
}

.rtl .wdt-carousel-holder .wdt-carousel-pagination-wrapper .wdt-carousel-arrow-pagination > div > i{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .elementor-widget-container .wdt-accordion-toggle-holder[class*="-template-simple"] .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon{
    left: clamp(0rem, -3.125rem + 10.4167vw, 9.375rem);
}
.rtl .wdt-accordion-toggle-holder[class*='-template-simple'] .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon{
    left:0;
    right:auto;
}
/* .rtl .wdt-accordion-toggle-holder[class*='-template-simple'] .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon > div svg:not(:root){
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
} */

.rtl input.wdt-advanced-checkbox-toggle:checked{
    padding-right: clamp(1.875rem, 1.7308rem + 0.641vw, 2.5rem);
    padding-left:0;
}
.rtl .wdt-pricing-table-holder .wdt-pricing-table-pricing div[class*='-table-pricing-sale'] .wdt-pricing-table-pricing-prefix{
    padding-left:5px;
    padding-right:0;
}

.rtl .wdt-pricing-table-holder div[class*='-table-features'] .wdt-pricing-table-features-list li .wdt-pricing-table-features-list-text:not(:only-child){
    padding-left:0;
    padding-right:15px;
}
.rtl .elementor-widget-container .wdt-pricing-table-holder[class*="-template-default"] div[class*="-table-badge"].type1:after{
    margin-right:10px;
    margin-left:0;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .elementor-widget-container .wdt-testimonial-holder.wdt-rc-template-aside-title .swiper-slide .wdt-content-item .wdt-content-detail-group{
    transform: translate3d(100%, 0, 0);
}
.rtl .elementor-widget-container .wdt-testimonial-holder.wdt-rc-template-aside-title .swiper-slide.swiper-slide-active .wdt-content-item .wdt-content-detail-group{
    transform: translate3d(0, 0, 0);
}

.rtl .elementor-widget-container .wdt-testimonial-holder.wdt-rc-template-aside-title .wdt-carousel-pagination-wrapper{
    left:0;
    right:auto;
}

.rtl .elementor-widget-container .wdt-team-holder.wdt-rc-template-side-image .wdt-column:nth-child(odd){
    padding-left: clamp(3.125rem, 0.2619rem + 4.4693vw, 5.625rem) !important;
    padding-right: 0 !important;
}
.rtl .elementor-widget-container .wdt-team-holder.wdt-rc-template-side-image .wdt-column:nth-child(even){
    padding-right: clamp(3.125rem, 0.2619rem + 4.4693vw, 5.625rem) !important;
    padding-left:0 !important;
}

.rtl .wdt-button-holder.wdt-button-icon-before .wdt-button .wdt-button-icon{
    margin-right:0px;
    margin-left:8px;
}

.rtl #back-to-top{
    left:8px;
    right:auto;
}
.rtl #back-to-top .back-to-top-icon svg:not(:root){
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .suggested-product-list .suggested-product-data .suggested-product-content{
    padding-right: clamp(0.625rem, 0.4808rem + 0.641vw, 1.25rem);
    padding-left:0;
}
.rtl .suggested-product-list .suggested-product-data a.wdt_close{
    right:auto;
    left:-1px;
}


/* -- Home 2 -- */
.rtl .elementor-widget-container .wdt-elementor-repeater-container h2 span.wdt-opt-icon{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .wdtShopSearchForm .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered{
    text-align: right;
    padding-left:8px;
    padding-right:20px;
}
.rtl .select2-container--default .select2-selection--single .select2-selection__arrow, .select2-container--default .select2-selection--multiple .select2-selection__arrow{
    left: 15px !important;
    right: auto !important;
}

.rtl .wdtShopSearchForm .wdt-shop-product-search-item + .wdt-shop-product-search-item-holder .wdt-shop-product-search-item:has(input[type="submit"]):before{
    transform: matrix(1, 0, 0, -1, 0, 0);
    -webkit-transform: matrix(1, 0, 0, -1, 0, 0);
}
.rtl .wdtShopSearchForm .wdt-shop-product-search-item + .wdt-shop-product-search-item-holder .wdt-shop-product-search-item:has(input[type="submit"]):after{
    transform: scaleY(1);
    -webkit-transform: scaleY(1);
}

.rtl .woocommerce ul.products.vertical-position-top-right li.product .product-thumb .product-buttons-wrapper.product-icons{
    left:15px;
    right:auto;
}
.rtl .woocommerce ul.products.product-label-boxed li.product .product-labels{
    right: 10px;
    left:auto;
}
.rtl .woocommerce ul.products.product-content-alignment-left li.product .product-details{
    text-align:right;
}

.rtl .elementor-widget-container .wdt-thumb-carousel-holder .wdt-thumbnail-carousel{
    left: 12%;
    right:auto;

}
.rtl .wdt-custom-iconlist-style .elementor-widget-container .elementor-icon-list-items li:nth-child(-n + 3){
    border-left: 1px solid rgba(var(--wdtBorderColorRgb), 1);
    border-right: 0;
    
}
.rtl .wdt-custom-iconlist-style .elementor-widget-container .elementor-icon-list-items li:first-child{
    padding-left:15px;
}

.rtl .elementor-widget-container .wdt-testimonial-holder.wdt-rc-template-side-image .wdt-content-item .wdt-content-subtitle:after{
    margin-right: 10px;
    margin-left:0;
    transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .wdt-testimonial-holder.wdt-rc-template-side-image .wdt-content-item .wdt-content-image-wrapper + .wdt-content-icon-wrapper{
    left:0;
    right:auto;
}
.rtl .elementor-widget-container .wdt-testimonial-holder.wdt-rc-template-side-image .wdt-content-item .wdt-content-image-wrapper + .wdt-content-icon-wrapper{
    left:40px;
    right:auto;
}
.rtl .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span i{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon > div{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

.rtl .wdt-minimal-style.wdt-post-entry article.blog-entry .entry-date:after{
    margin-left:0;
    margin-right:5px;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .blog-entry .entry-button a.wdt-button:before{
    transform: matrix(1, 0, 0, -1, 0, 0);
    -webkit-transform: matrix(1, 0, 0, -1, 0, 0);
}
.rtl .blog-entry .entry-button a.wdt-button:after{
    transform: scaleY(1);
    -webkit-transform: scaleY(1);
}

/* -- Home 3 -- */

.rtl .wdt-custom-image-box-home-3-slider .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span,.rtl .wdt-advanced-carousel-holder.wdt-rc-template-default .wdt-custom-image-box-home-3-slider .wdt-content-item .wdt-content-media-group .wdt-content-icon-wrapper .wdt-content-icon span{
    right: -49px;
    left:auto;
}

.rtl .elementor-widget-container .wdt-icon-box-holder.wdt-rc-template-default .wdt-column:not(:last-child) .wdt-content-item{
    border-left: 1px solid var(--wdtBorderColor);
    border-right:0;
}
.rtl div[class*="-output-data-container"].wdt-custom-matches-with-filter .dtdr-listing-output-data-holder .dtdr-listings-item-isotope-filter{
    left:0;
    right:auto;
    text-align: left;
}
.rtl div[class*="-output-data-container"].wdt-custom-matches-with-filter .dtdr-listing-output-data-holder .dtdr-listings-item-isotope-filter a{
    margin: 0 15px 15px 0;
}

.rtl .dtdr-listings-item-wrapper .dtdr-listings-features-box-item .dtdr-listings-features-box-item-icon{
    margin-right:0;
    margin-left: 10px;
}
.rtl .dtdr-listings-item-wrapper .dtdr-listings-features-box-item>div{
    margin-left: 10px;
    margin-right:0;
}
.rtl .dtdr-listings-item-wrapper.type3 .dtdr-listings-sociallinks-container.type4 .dtdr-listings-sociallinks-list li a span:first-child,
.rtl .dtdr-listings-sociallinks-container.type4 .dtdr-listings-sociallinks-list li a span:first-child{
    margin-left: 15px;
    margin-right: 0;
}

.rtl .woocommerce ul.products.product-style-default li.product.product-list-view .product-wrapper .product-thumb{
    border-left: 1px solid var(--wdtBorderColor);
    border-right:0;
}

.rtl .woocommerce .star-rating::before{
    left:0;
    right:auto;
}
.rtl .woocommerce .star-rating span::before{
    left:0;
    right:auto;
}
.rtl .woocommerce ul.products:not(.product-content-alignment-center) li.product.product-list-view .product-wrapper .product-details{
    text-align:right;
}
.rtl .wdt-custom-product-carousel div[class*="product"] .swiper-container div[class*="arrow-pagination"].type2 > a[class*="arrow"]:before{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl input[type="text"],.rtl input[type="password"],.rtl input[type="email"],.rtl input[type="url"],.rtl input[type="tel"],.rtl input[type="number"],.rtl input[type="range"],
.rtl input[type="date"],.rtl textarea,.rtl input.text,.rtl input[type="search"],.rtl fieldset,.rtl select,.rtl abbr,.rtl acronym,.rtl pre,.rtl #searchform,.rtl .comment-form > p input[type="checkbox"] ~ label:before,
.rtl .comment-form > p input[type="radio"] ~ label:before,.rtl .comment-form-wdt-privatepolicy input[type="checkbox"] ~ label:before,.rtl .woocommerce-form__label-for-checkbox > span:before,
.rtl .woocommerce .woocommerce-shipping-methods input[type="radio"] ~ label:before,.rtl .woocommerce-page #payment.woocommerce-checkout-payment ul.payment_methods li input[type="radio"] ~ label:before{
    text-align: right;
}
.rtl .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered{
    padding-right:15px;
    padding-left:50px;
    text-align:right;
}
.rtl .select2-container--default .select2-results>.select2-results__options .select2-results__option{
    text-align:right;
}
.rtl .wpcf7-not-valid-tip{
    right:auto;
    left:3px;

}
.rtl .wpcf7-form .wpcf7-response-output,.rtl .wpcf7 form .wpcf7-response-output{
    padding: 15px 45px 15px 15px ;
    text-align:right;
}
.rtl .wpcf7-form .wpcf7-response-output:before, .wpcf7 form .wpcf7-response-output:before{
    right:18px;
    left:auto;
}
.rtl .wpcf7-btn-wrap.left-align{
    text-align:right;
}

.rtl div[class*='-output-data-container'].wdt-custom-video-gallery .wdt-swiper-pagination-holder .wdt-swiper-arrow-pagination > a{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .wdt-listings-item-wrapper.type1 .wdt-listings-features-box-container .wdt-listings-features-box-item:first-child .wdt-listings-features-box-item-value:before{
    margin-right:0;
    margin-left:10px;
}
.rtl .wdt-listings-item-wrapper.type1 .wdt-listings-features-box-container .wdt-listings-features-box-item{
    margin-right:0;
    margin-left:20px;
}
.rtl .wdt-listings-item-wrapper.type1 .wdt-listings-taxonomy-container > .wdt-listings-taxonomy-label{
    margin-right:0;
    margin-left:10px;
}
.rtl .wdt-listings-taxonomy-container li{
    margin: 0 0 0 10px;
}

/* -- Home -- */
.rtl .wdt-post-entry.entry-list-layout .blog-entry.has-post-thumbnail .entry-thumb{
    margin-left: 30px;
    margin-right: 0;
}
.rtl .wdt-post-entry.entry-list-layout .blog-entry>.entry-thumb+div:nth-child(2){
    margin-right: 30px;
    margin-left: auto;
}


/* -- FAQ -- */

.rtl .wdt-tabs-container .wdt-tabs-list li:not(:last-child){
    margin: 0 0 0 10px;
}
.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon{
    margin-right:10px;
    margin-left:0;
}

/* -- my-account -- */

.rtl .woocommerce form .show-password-input::after,.rtl .woocommerce-page form .show-password-input::after{
    margin-right: auto;
    margin-left:0;
}
.rtl .woocommerce-form__label-for-checkbox input[type="checkbox"]{
    margin-left:10px;
    margin-right:0;
}

/* -- gallery -- */
.rtl .wdt-listings-item-wrapper.type2 .wdt-listings-item-image-gallery .wdt-listings-item-top-section-content{
    flex-direction:row-reverse;
}

/* -- 404 -- */

.rtl.error404 .type8 h6:before{
    margin-right:0;
    margin-left:10px;
}
.rtl.error404 .type8 h6:after{
    margin-right:10px;
    margin-left:0;
}
.rtl.error404 .type8 h6:before,.rtl.error404 .type8 h6:after{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}

/* -- Blog -- */

.rtl .widget .recent-posts-widget li .entry-meta p:after{
    margin-left:0;
    margin-right:10px;
}
.rtl .widget .recent-posts-widget li .entry-meta p{
    float: right;
}
.rtl .widget #searchform input[type="submit"]{
    left:0;
    right:auto;
}
.rtl .widget #searchform input[type="text"]{
    padding-left: 50px;
    padding-right:20px;
}

.rtl .widget_tag_cloud .tagcloud a,.rtl .widget .tagcloud a,.rtl .wp-block-tag-cloud a{
    margin: 0 0 10px 10px;
    float: right;
}
.rtl .page-link a,.rtl .pagination ul li a,.rtl .woocommerce nav.woocommerce-pagination ul li a,.rtl .page-link > span,.rtl .pagination ul li span,.rtl .woocommerce nav.woocommerce-pagination ul li span{
    margin: 15px 0 0 15px;
    
}
.rtl .wdticon-angle-double-right:before{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .wdticon-angle-double-left:before{
    transform: scaleX(1);
    -webkit-transform: scaleX(1);
}
.rtl .blog-single-entry div[class^="entry-"] div[class^="single-entry-tags"] > a{
    margin: 0 0 10px 10px !important;
}
.rtl .blog-single-entry.post-minimal .post-meta{
    right:auto;
    left:0;
}
.rtl .blog-single-entry.post-minimal .post-meta > [class*="meta"] div[class*="entry-date"]:after{
    margin-right: 5px;
    margin-left:0;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .comment-body{
    padding-right:80px;
    padding-left:0;
}
.rtl .comment-author .avatar{
    right:-80px;
    left:auto;
}
.rtl .blog-single-entry .entry-post-navigation .post-prev-link .nav-title-wrap p a{
    float: right;
}
.rtl .blog-single-entry .entry-post-navigation .post-next-link .nav-title-wrap p a{
    float: left;
}
.rtl .blog-single-entry .entry-post-navigation>div.post-next-link>.nav-title-wrap p a:after{
    margin-left:0;
    margin-right: 5px;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .blog-single-entry .entry-post-navigation>div.post-prev-link>.nav-title-wrap p a:before{
    margin-left:5px;
    margin-right:0;
    transform: scaleX(1);
    -webkit-transform: scaleX(1);
}
.rtl .blog-single-entry .entry-post-navigation > div.no-post > .nav-title-wrap h3{
    text-align:right;
}

@media (max-width:479px){
    .rtl .comment-author .avatar{
        right:0;
        left:auto;
    }
    .rtl .rtl .comment-body{
        padding-right:0;
    }
}


/* -- contact page -- */

.rtl .wdt-advanced-slider-holder .wdt-column:not(:last-child){
    border-left: 1px solid var(--wdtBorderColor);
    border-right:0;
}

/* -- shop -- */ 
.rtl.woocommerce ul.products.product-label-boxed li.product .product-labels{
    right: 10px;
    left:auto;
   }
.rtl.woocommerce ul.products.vertical-position-top-right li.product .product-thumb .product-buttons-wrapper.product-icons{
     right: auto;
     left:15px;
   }
.rtl.woocommerce ul.products.product-content-alignment-left li.product .product-details{
    text-align:right;
   }

.rtl .woocommerce.widget_product_categories .product-categories li a:before{
    margin-left:11px;
    margin-right:0;
}
form.woocommerce-product-search { position: relative; }
.rtl .woocommerce-product-search button[type="submit"]{
    left:0;
    right:auto;
}
.rtl .woocommerce ul.products.product-label-boxed li.product .product-labels{
    right: 10px;
    left:auto;
}
.rtl .woocommerce ul.products.vertical-position-top-right li.product .product-thumb .product-buttons-wrapper.product-icons{
     right: auto;
     left:15px;
}
.rtl .woocommerce ul.products.product-content-alignment-left li.product .product-details{
     text-align:right;
}
.rtl .wdt-product-image-gallery-holder.wdt-product-vertical-thumb-left .wdt-product-image-gallery-thumb-container{
    margin: 0 0 0 10px;
}
.rtl.woocommerce div.product .summary.wdt-product-summary > div.product_additional_info_wrapper strong:before{
    margin: 0 0 0 10px;
}
.rtl.woocommerce div.product .summary .woocommerce-product-rating .star-rating{
    margin: 0 0 0 5px;
}
.rtl.woocommerce .product form.cart .variations tr th.label{
    text-align:right;
}
.rtl.woo-variation-swatches .variable-items-wrapper + .reset_variations{
    margin-left:0 !important;
    margin-right:20px !important;
}
.rtl.woocommerce .product form.cart .variations tr:first-child{
    margin-right:0;
    margin-left:20px;
}
.rtl.woocommerce div.product form.cart div.quantity{
    margin: 10px 0 10px 10px;
}
.rtl.woo-variation-swatches.wvs-show-label.woocommerce .variations td .woo-selected-variation-item-name,.rtl.woo-variation-swatches.wvs-show-label.woocommerce .variations td label,.rtl.woo-variation-swatches.wvs-show-label.woocommerce .variations th .woo-selected-variation-item-name,.rtl.woo-variation-swatches.wvs-show-label.woocommerce .variations th label{
    margin-right:0;
    margin-left:2px;
}
.rtl .elementor-widget-container .wdt-product-summary .product_meta_wrapper span > a:after{
    margin-right:10px;
    margin-left:0;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform:matrix(-1, 0, 0, 1, 0, 0);
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs{
    text-align:right;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li:first-child{
    margin-right: 0;
    padding-right: 0;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs ul.tabs li{
    margin: 0 12px 0 0 ;
}
.rtl.woocommerce table.shop_attributes tr:first-child td,.rtl.woocommerce table.shop_attributes tr:nth-child(even) td{
    text-align:right;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .comment-text{
    margin: 0 80px 0 0;
    text-align: right;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta{
    float: right;
}
.rtl.woocommerce #reviews #comments ol.commentlist li .star-rating{
    float:left;
}
.rtl.woocommerce div.product .wdt-product-tabs .woocommerce-tabs .panel{
    text-align: right;
}
.rtl.woocommerce table.shop_attributes td{
    text-align: right;
}

.rtl .comment-form > p{
    float: right;
    text-align: right;
}
.rtl .comment-form .comment-form-cookies-consent label{
    padding-right:30px;
}
.rtl .comment-form > p input[type="checkbox"] ~ label:before,.rtl .comment-form>p input[type="radio"]~label:before{
    left:auto;
    right:0;
    margin-left:11px;
    margin-right:0;
}
.rtl .woocommerce table.shop_table thead th:first-child,.rtl .woocommerce-page table.shop_table thead th:first-child{
    padding-left:15px;
    padding-right:30px;
    text-align: right;
}
.rtl .woocommerce-page table.shop_table tr td:first-child{
    text-align: right !important;
    padding-left:15px;
    padding-right:30px;
}
.rtl .woocommerce table.shop_table tr td:not(:last-child),.rtl .woocommerce-page table.shop_table tr td:not(:last-child){
    text-align:right !important;
}
.rtl .woocommerce table.shop_table thead th,.rtl .woocommerce-page table.shop_table tbody td{
    text-align:right;
}
.rtl .woocommerce-page table.shop_table tr td:last-child{
    padding-left:30px;
    padding-right:15px;
}
.rtl .woocommerce table.shop_table tr td.product-remove,.rtl .woocommerce-page table.shop_table tr td.product-remove{
    padding-left:30px;
    padding-right:15px;
}
.rtl .woocommerce table.shop_table tr td:first-child,.rtl .woocommerce-page table.shop_table tr td:first-child{
    padding-left:15px;
    padding-right:30px;
}
.rtl .woocommerce .woocommerce-checkout-review-order .shop_table tr td:first-child{
    padding-right:0;
    padding-left:0;
}

.rtl .woocommerce .wdt-cart-button, .woocommerce-page .wdt-cart-button{
    text-align: left;
}
.rtl .woocommerce .cart-collaterals table.shop_table tr th,.rtl .woocommerce-page .cart-collaterals table.shop_table tr th{
    text-align:right;
}
.rtl .woocommerce .cart-collaterals table.shop_table tr td:last-child,.rtl .woocommerce-page .cart-collaterals table.shop_table tr td:last-child{
    text-align: left;
}
.rtl .woocommerce .cart-collaterals .cart_totals .wc-proceed-to-checkout,.rtl .woocommerce-page .cart-collaterals .cart_totals .wc-proceed-to-checkout{
    float: right;
}
.rtl .woocommerce button.button:after,.rtl .woocommerce a.button:after,.rtlbody .tinv-wishlist .tinv-modal .tinv-modal-inner .button.tinvwl_button_close:after{
    transform: scaleX(1);
    -webkit-transform: scaleX(1);
}
.rtl .woocommerce a.button:before{
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(1, 0, 0, -1, 0, 0);
}
.rtl .woocommerce-checkout #payment div.form-row.place-order > #place_order{
    float: right;
}
.rtl .woocommerce .woocommerce-checkout-review-order .shop_table tr th:last-child,.rtl .woocommerce .woocommerce-checkout-review-order .shop_table tr td:last-child{
    text-align: left;
}
.rtl .woocommerce .shop_table.woocommerce-checkout-review-order-table th,.rtl .woocommerce .shop_table.woocommerce-checkout-review-order-table td{
    text-align: right;
}
.rtl .woocommerce .woocommerce-checkout-review-order .shop_table .product-name img{
    float: right;
    margin-right:0;
    margin-left:20px;
}
.rtl .woocommerce form .woocommerce-privacy-policy-text p a.woocommerce-privacy-policy-link{
    margin-left:0;
    margin-right:3px;
}
.rtl.woocommerce nav.woocommerce-pagination ul li a i{
    right:50%;
    left:auto;
    transform: translate(50%, -50%);
}
.rtl.woocommerce .star-rating span::before{
    left:0;
    right:auto;
}
.rtl.woocommerce .star-rating::before{
    left:0;
    right:auto;
}
body.rtl .gift-cards-list button{
    margin: 5px 0 5px 10px;
}
.rtl .ywgc-preset-image.selected_image_parent:after,body.rtl .ywgc-preset-image.selected_image_parent:before{
    left:-5px;
    right:auto;
}
body.rtl .gift-card-content-editor.step-content label{
    text-align:right;
}
.rtl .ywgc-form-preview-amount{
    float:left;
}
.rtl.woocommerce div.product.type-product > div.images{
    float:right;
}
.rtl.woocommerce div.product.type-product > div.summary{
    margin:0 4% 0 0;
}
.rtl .entry-post-navigation.type3 > .post-prev-link{
    border-right:0;
    border-left:1px solid var(--wdtBorderColor);
}
.rtl .entry-post-navigation.type3 > div.post-next-link > .nav-title-wrap p > a:after{
    margin-right: 0.8em;
    margin-left:0;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0);
}
.rtl .entry-post-navigation.type3 > div.post-prev-link >.nav-title-wrap p > a:before{
    margin-right:0;
    margin-left:0.8em;
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
}
.rtl .entry-post-navigation.type3 > .post-next-link{
    padding-left:146px;
    padding-right:26px;
}
.rtl .entry-post-navigation.type3 > .post-prev-link{
    padding-left:26px;
    padding-right:146px;
}
.rtl .entry-post-navigation-wrapper > .entry-post-navigation > .post-next-link{
    text-align:left;
}
.rtl .entry-post-navigation-wrapper > .entry-post-navigation > .post-prev-link{
    text-align:right;
}

.rtl .entry-post-navigation.type3 > .post-prev-link > .prev-post-bgimg{
    right:0;
    left:auto;
}
.rtl .entry-post-navigation.type3 > .post-next-link > .next-post-bgimg{
    left:0;
    right:auto;
}
.rtl [class^="wdticon-"]:before,.rtl [class*=" wdticon-"]:before{
    margin-right:0;
}
.rtl #yith-quick-view-modal .yith-wcqv-wrapper{
    text-align: right;
}
body.rtl[class*="woocommerce"] .yith-wcqv-wrapper #yith-quick-view-content div.entry-summary{
    margin-right:0;
    margin-left:2.5%;
}
.rtl #yith-quick-view-close{
    left:5px;
    right:auto;
}
.rtl #yith-quick-view-content .onsale{
    left:auto;
    right:5px;
}
.rtl.woocommerce .star-rating span{
    left: 0;
    right:auto;
}
.rtl .woocommerce.tinv-wishlist tfoot .tinvwl-to-left .tinvwl-input-group >*:not(:last-child){
    margin-left: 15px;
    margin-right:0;
}
.rtl .tinv-wishlist tfoot .tinvwl-to-right{
    float: unset;
    text-align: left;
}
.rtl .woocommerce.tinv-wishlist tfoot .tinvwl-to-right {
    width: 100%;
}